ข้ามไปที่เนื้อหา

Get Member Profile (Get Profile)

ใช้สำหรับตรวจสอบข้อมูลสมาชิกและเรียกดูจำนวนแต้มคงเหลือปัจจุบันผ่านหมายเลขโทรศัพท์หรือรหัสระบบภายนอก

  • Endpoint: /openapi/v1/user/profile
  • Method: GET
  • Authentication Required: API Key (X-API-Key)

Query Parameters

Parameter Type Required Description Example
phone string No เบอร์โทรศัพท์สมาชิก (เลือกใช้อย่างใดอย่างหนึ่งกับ reference) "0812345678"
reference string No รหัสอ้างอิงของสมาชิกจากระบบภายนอก "EXT-99812"

!!! info "Conditions" ผู้พัฒนาต้องส่ง phone หรือ reference มาอย่างน้อย 1 รายการเพื่อใช้ค้นหาสมาชิก


Request Example

GET /openapi/v1/user/profile?phone=0812345678

Response Examples

{
  "success": true,
  "data": {
    "member_id": "M-20260708001",
    "card_number": "100200300400",
    "phone": "0812345678",
    "first_name": "สมชาย",
    "last_name": "ใจดี",
    "email": "somchai@example.com",
    "tier": "Gold Member",
    "current_points": 450,
    "lifetime_points": 1200,
    "status": "active"
  },
  "message": "Profile retrieved successfully."
}
{
  "success": false,
  "error": {
    "code": "MEMBER_NOT_FOUND",
    "message": "ไม่พบข้อมูลสมาชิกในระบบ"
  }
}